Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezimagecatalogue/admin/imageedit.php File Reference

Go to the source code of this file.

## Functions
| changePermissions ( $objectID, $groups, $permission)

## Variables
| $user =& eZUser::currentUser()
| $CurrentCategoryID = eZHTTPTool::getVar( "CategoryID" )
| $CategoryID = eZHTTPTool::getVar( "CategoryID" )
if(! $user) if(isset( $NewCategory)) if(isset( $Cancel)) if(isset( $DeleteImages)) if(isset( $DeleteCategories)) if(isset( $UpdateImages)) if(isset( $Action) && $Action=="New") | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $t
| $error = false
| $nameCheck = true
| $captionCheck = false
| $descriptionCheck = false
| $fileCheck = true
| $permissionCheck = true
if( $Action=="Insert"|| $Action=="Update") if( $Action=="Insert" && $error==false) if( $Action=="Update" && $error==false) else if( $Action=="Update" && $error==true) if( $Action=="DeleteImages") if( $Action=="UpdateImages") if( $Action=="DeleteCategories") if( $Action=="New"||( $Action=="Insert" && $error==true)) if( $Action=="Edit") | $category = new eZImageCategory()
| $categoryList =& $category->getTree( )
| $tree = new eZImageCategory()
| $treeArray =& $tree->getTree()
| $catCount = count( $treeArray )
foreach( $treeArray as $catItem) | $groups =& eZUserGroup::getAll()

## Function Documentation

## ◆ changePermissions()

changePermissions | ( |  | $objectID,
|  |  | $groups,
|  |  | $permission
| ) |  |

Definition at line 746 of file ezimagecatalogue/admin/imageedit.php.

References $group, $groups, $permission, eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## Variable Documentation

## ◆ $captionCheck

$captionCheck = false

Definition at line 127 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $catCount

$catCount = count( $treeArray )

Definition at line 609 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $category

if ($Action=="Insert"||$Action=="Update") if ($Action=="Insert" &&$error==false) if ($Action=="Update" &&$error==false) else if ($Action=="Update" &&$error==true) if ($Action=="DeleteImages") if ($Action=="UpdateImages") if ($Action=="DeleteCategories") if ($Action=="New"||($Action=="Insert" &&$error==true)) if ($Action=="Edit") $category = new eZImageCategory()

Definition at line 602 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $CategoryID

$CategoryID = eZHTTPTool::getVar( "CategoryID" )

Definition at line 36 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $categoryList

$categoryList =& $category->getTree( )

Definition at line 603 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $CurrentCategoryID

$CurrentCategoryID = eZHTTPTool::getVar( "CategoryID" )

Definition at line 35 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $descriptionCheck

$descriptionCheck = false

Definition at line 128 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $error

$error = false

Definition at line 125 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $fileCheck

$fileCheck = true

Definition at line 129 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $groups

foreach ($treeArray as $catItem) $groups =& eZUserGroup::getAll()

Definition at line 683 of file ezimagecatalogue/admin/imageedit.php.

Referenced by changePermissions().

## ◆ $ini

if (! $user) if (isset($NewCategory)) if (isset($Cancel)) if (isset($DeleteImages)) if (isset($DeleteCategories)) if (isset($UpdateImages)) if (isset($Action) &&$Action=="New") $ini =& eZINI::instance( 'site.ini' )

Definition at line 93 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 94 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $nameCheck

$nameCheck = true

Definition at line 126 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $permissionCheck

$permissionCheck = true

Definition at line 130 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/admin/" . $ini->variable( "eZImageCatalogueMain", "AdminTemplateDir" ),
"kernel/ezimagecatalogue/admin/intl/", $Language, "imageedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezimagecatalogue/admin/imageedit.php:94
$ini
if(! $user) if(isset( $NewCategory)) if(isset( $Cancel)) if(isset( $DeleteImages)) if(isset( $DeleteCategories)) if(isset( $UpdateImages)) if(isset( $Action) && $Action=="New") $ini
Definition: ezimagecatalogue/admin/imageedit.php:93

Definition at line 96 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $tree

$tree = new eZImageCategory()

Definition at line 605 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $treeArray

$treeArray =& $tree->getTree()

Definition at line 606 of file ezimagecatalogue/admin/imageedit.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 33 of file ezimagecatalogue/admin/imageedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.